<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.logCsInfo.mapper.LogCsInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="logCsInfoResultMap" type="org.springblade.modules.log.logCsInfo.entity.LogCsInfoEntity">
        <result column="id" property="id"/>
        <result column="csmc" property="csmc"/>
        <result column="dz" property="dz"/>
        <result column="dwlb" property="dwlb"/>
        <result column="dwxl" property="dwxl"/>
        <result column="fzr" property="fzr"/>
        <result column="fzr_dh" property="fzrDh"/>
        <result column="xffzr" property="xffzr"/>
        <result column="xffzrsfzh" property="xffzrsfzh"/>
        <result column="xffzrlxdh" property="xffzrlxdh"/>
        <result column="fwlx" property="fwlx"/>
        <result column="jzmj" property="jzmj"/>
        <result column="jzcs" property="jzcs"/>
        <result column="gd" property="gd"/>
        <result column="zczb" property="zczb"/>
        <result column="clrq" property="clrq"/>
        <result column="jyqx" property="jyqx"/>
        <result column="jyfw" property="jyfw"/>
        <result column="djjg" property="djjg"/>
        <result column="djrq" property="djrq"/>
        <result column="cjsj" property="cjsj"/>
        <result column="cjdw" property="cjdw"/>
        <result column="cjr" property="cjr"/>
        <result column="ssfj_bm" property="ssfjBm"/>
        <result column="ssfj_mc" property="ssfjMc"/>
        <result column="sspcs_bm" property="sspcsBm"/>
        <result column="sspcs_mc" property="sspcsMc"/>
        <result column="sssq_bm" property="sssqBm"/>
        <result column="sssq_mc" property="sssqMc"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="ldph" property="ldph"/>
        <result column="jd" property="jd"/>
        <result column="wd" property="wd"/>
        <result column="jg_id" property="jgId"/>
        <result column="tyxydm" property="tyxydm"/>
        <result column="jc_id" property="jcId"/>
        <result column="ldphxlh" property="ldphxlh"/>
        <result column="yyzt" property="yyzt"/>
    </resultMap>


    <select id="selectLogCsInfoPage" resultMap="logCsInfoResultMap">
        select * from log_cs_info where is_deleted = 0
    </select>


    <select id="exportLogCsInfo" resultType="org.springblade.modules.log.logCsInfo.excel.LogCsInfoExcel">
        SELECT * FROM log_cs_info ${ew.customSqlSegment}
    </select>

</mapper>
